Summary:	Administrative utilities for the XFS filesystem
Name:		xfsdump
Version:	3.1.6
Release:	2
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://oss.sgi.com/projects/xfs/
Source0:	ftp://oss.sgi.com:21/projects/xfs/cmd_tars/%{name}-%{version}.tar.gz
BuildRequires:	libtool
BuildRequires:	attr-devel
BuildRequires:	xfsprogs-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ext2fs)
BuildRequires:	pkgconfig(uuid)

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium. It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes. Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem. Subsequent incremental backups can then
be layered on top of the full backup. Single files and directory
subtrees may be restored from full or partial backups.

%files -f %{name}.lang
%doc doc/CHANGES.gz doc/COPYING doc/README.xfsdump
/sbin/dump.xfs
/sbin/restore.xfs
/sbin/xfsdump
/sbin/xfsrestore
%{_sbindir}/xfsdump
%{_sbindir}/xfsinvutil
%{_sbindir}/xfsrestore
%{_mandir}/man8/dump.xfs*
%{_mandir}/man8/restore.xfs*
%{_mandir}/man8/xfsdump.8*
%{_mandir}/man8/xfsinvutil.8*
%{_mandir}/man8/xfsrestore.8*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
export DEBUG="-DNDEBUG"
export OPTIMIZER="%{optflags}"
%configure2_5x
%make DEBUG="-DNDEBUG" OPTIMIZER="%{optflags}"

%install
make install DIST_ROOT=%{buildroot}/

# nuke files already packaged as %doc
rm -rf %{buildroot}%{_datadir}/doc/xfsdump/

# for coerency, rename xfsdump|xfsrestore to dump|restore.xfs
mv %{buildroot}/sbin/xfsdump %{buildroot}/sbin/dump.xfs
mv %{buildroot}/sbin/xfsrestore %{buildroot}/sbin/restore.xfs
ln -sf /sbin/dump.xfs %{buildroot}/sbin/xfsdump
ln -sf /sbin/restore.xfs %{buildroot}/sbin/xfsrestore
ln -sf %{_mandir}/man8/xfsdump.8 %{buildroot}%{_mandir}/man8/dump.xfs
ln -sf %{_mandir}/man8/xfsrestore.8 %{buildroot}%{_mandir}/man8/restore.xfs

%find_lang %{name}

%changelog

* Tue Jul 12 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.1.6-2
- (8fc72e8) Bump release


